within ;
model heatEq
Real d = step*num;
parameter Real step = 0.001;
parameter Integer num = 100;
output Real u[num];
parameter Real alfa = 2.3 "thermal diffusility of iron";

initial equation
  for i in 2:num-1 loop
    u[i] = sin(3.14/100*i);
  end for;
equation
u[2] = u[1];
  for i in 2:(num - 1) loop
          der(u[i]) = alfa*(u[i+1] - 2*u[i] + u[i-1])/step;
  end for;
u[num] = u[end-1];

  annotation (uses(Modelica(version="3.1")));
end heatEq;
